Subject: bug#2421: 23.0.90; python-mode: Indent commands behavior

From: martin rudalics <[email-masked]>
Date: Sat, 21 Feb 2009 15:10:46 +0100

> The indent commands `C-c <' and `C-c >' work only on active regions.
 > This is annoying, inconsistent with `C-x TAB' behavior, and not useful
 > (even if it worked as announced in its documentation, i.e. shifting the
 > current line, which it doesn't,

I changed that yesterday, so it now should work as documented.

 > a similar effect can be achieved more
 > easily by TAB presses).
 >
 > So I suggest to change the behavior of these commands to always work on
 > the region, whether it is active or not, or to provide a configuration
 > option which can enable such a behavior.

Isn't that shift behavior something that should be done via rectangles?
IIRC, someone even proposed to keep the region active after the command
completes in order to apply a second shift step if needed.

martin